const path = require('path');
const stringutils = require("../stringutils");

const mainController = {
    root: (req, res) => {
        let pubKeyHex = req.session.publicKey;
        let isLoggedIn = typeof pubKeyHex !== 'undefined';
        let pubKey = isLoggedIn ? stringutils.hexToPem(pubKeyHex).replaceAll('\n','') : null;
        let hex = `key-${pubKeyHex}`
        res.render('index', {isLoggedIn, pubKey, hex});
    }
};

module.exports = mainController;
